## ubuntu-image 2.2+22.04ubuntu3.22.04.2

=== vendor/github.com/diskfs/go-diskfs/Makefile ===
.PHONY: test image unit_test

PACKAGE_NAME?=github.com/diskfs/go-diskfs
IMAGE ?= diskfs/go-diskfs:build
GOENV ?= GO111MODULE=on CGO_ENABLED=0
GO_FILES ?= $(shell $(GOENV) go list ./...)
GOBIN ?= $(shell go env GOPATH)/bin
LINTER ?= $(GOBIN)/golangci-lint


# BUILDARCH is the host architecture
# ARCH is the target architecture
# we need to keep track of them separately
BUILDARCH ?= $(shell uname -m)
BUILDOS ?= $(shell uname -s | tr A-Z a-z)

# canonicalized names for host architecture
ifeq ($(BUILDARCH),aarch64)
BUILDARCH=arm64
endif
ifeq ($(BUILDARCH),x86_64)
BUILDARCH=amd64
endif

# unless otherwise set, I am building for my own architecture, i.e. not cross-compiling
# and for my OS
ARCH ?= $(BUILDARCH)
OS ?= $(BUILDOS)

# canonicalized names for target architecture
ifeq ($(ARCH),aarch64)
        override ARCH=arm64
endif
ifeq ($(ARCH),x86_64)
    override ARCH=amd64
endif

BUILD_CMD = CGO_ENABLED=0 GOOS=$(OS) GOARCH=$(ARCH)
ifdef DOCKERBUILD
BUILD_CMD = docker run --rm \
                -e GOARCH=$(ARCH) \
                -e GOOS=linux \
                -e CGO_ENABLED=0 \
                -v $(CURDIR):/go/src/$(PACKAGE_NAME) \
                -w /go/src/$(PACKAGE_NAME) \
                $(BUILDER_IMAGE)
endif

image:
	docker build -t $(IMAGE) testhelper/docker

# because we keep making the same typo
unit-test: unit_test
unit_test:
	@$(GOENV) go test $(GO_FILES)

test: image
	TEST_IMAGE=$(IMAGE) $(GOENV) go test $(GO_FILES)

golangci-lint: $(LINTER)
$(LINTER):
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOBIN) v1.41.0


## Check the file format
fmt-check:
	@if [ -n "$(shell $(BUILD_CMD) gofmt -l ${GO_FILES})" ]; then \
	  $(BUILD_CMD) gofmt -s -e -d ${GO_FILES}; \
	  exit 1; \
	fi

## Lint the files
lint: golangci-lint
	@$(BUILD_CMD) $(LINTER) run --disable-all --enable=revive ./...

## Vet the files
vet:
	@$(BUILD_CMD) go vet ${GO_FILES}

## ubuntu-image 0.3ubuntu1

=== debian/changelog ===
ubuntu-image (0.3ubuntu1) yakkety; urgency=medium

  * More image building fixes.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 26 Aug 2016 17:15:53 -0400

ubuntu-image (0.2ubuntu1) yakkety; urgency=medium

  * Some additional fixes needed for RTM.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 26 Aug 2016 10:35:03 -0400

ubuntu-image (0.1ubuntu1) yakkety; urgency=medium

  * Initial release.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 25 Aug 2016 17:11:25 -0400

=== debian/control ===
Source: ubuntu-image
Section: utils
Priority: optional
Maintainer: Barry Warsaw <barry@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dosfstools,
               e2fsprogs (>= 1.43~),
               gdisk,
               help2man,
               mtools,
               python3-all,
               python3-attr,
               python3-coverage,
               python3-debian,
               python3-flake8,
               python3-nose2,
               python3-pkg-resources,
               python3-setuptools,
               python3-voluptuous,
               python3-yaml,
               snapd (>= 2.0.11~ppa0),
               tox,
Standards-Version: 3.9.8
Homepage: http://launchpad.net/ubuntu-image

Package: ubuntu-image
Architecture: all
Depends: python3-ubuntu-image(= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
Description: toolkit for building Ubuntu images.
 .
 This package contains the ubuntu-image program.

Package: python3-ubuntu-image
Architecture: all
Section: python
Depends: dosfstools,
         e2fsprogs (>= 1.43~),
         mtools,
         python3-attr,
         python3-pkg-resources,
         python3-setuptools,
         python3-voluptuous,
         python3-yaml,
         snapd,
         snapd (>= 2.0.11~ppa0),
         ${misc:Depends},
         ${python3:Depends},
Description: toolkit for building Ubuntu images
 .
 This package contains the ubuntu-image library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ubuntu-image
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

export pkgversion=$(shell dpkg-parsechangelog --show-field version)


%:
	dh $@ --with=python3 --buildsystem=pybuild

# Override dh_install to ensure that /usr/bin/ubuntu-image is in the dedicated
# package.
override_dh_install:
	dh_install
	mkdir -p debian/ubuntu-image/usr/bin
	mv debian/python3-ubuntu-image/usr/bin/ubuntu-image \
	   debian/ubuntu-image/usr/bin/

override_dh_installman:
	PYTHONPATH=$(CURDIR) help2man -n ubuntu-image -s 1 \
		-o debian/ubuntu-image.1 \
		--version-string=$(pkgversion) \
		--no-discard-stderr --no-info \
		debian/ubuntu-image/usr/bin/ubuntu-image
	dh_installman

override_dh_auto_clean:
	rm -f debian/ubuntu-image.1
	dh_auto_clean

## ubuntu-image 0.5ubuntu1

=== debian/changelog ===
ubuntu-image (0.5ubuntu1) yakkety; urgency=medium

  * Relax versioned build-dependency on e2fsprogs.  Either we have this
    version available in the target release, in which case the versioned
    dependency is not required; or we don't, in which case the testsuite
    already degrades gracefully and we should avoid blocking the build.
  * fix regression in gpt partition handling.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Sep 2016 01:52:30 -0700

ubuntu-image (0.4ubuntu1) yakkety; urgency=medium

  * More image building fixes: uboot, mbr support now implemented, which
    lets the rpi2 image build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 31 Aug 2016 18:27:20 -0700

## ubuntu-image 0.6ubuntu1

=== debian/changelog ===
ubuntu-image (0.6ubuntu1) yakkety; urgency=medium

  * Add --extra-snaps option to support specifying extra snaps to include.
    LP: #1619219.
  * Show output of snap prep-image, so that the user gets download progress
    instead of long pauses with no activity.  LP: #1619194.
  * Only set UBUNTU_IMAGE_SKIP_COPY_UNVERIFIED_MODEL in tests, now that
    model assertions are live.  LP: #1619374.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 07 Sep 2016 08:36:23 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dosfstools,
-               e2fsprogs (>= 1.43~),
+               e2fsprogs,
                gdisk,
                help2man,
                mtools,
@@ -37,7 +37,7 @@
 Architecture: all
 Section: python
 Depends: dosfstools,
-         e2fsprogs (>= 1.43~),
+         e2fsprogs,
          mtools,
          python3-attr,
          python3-pkg-resources,

## ubuntu-image 0.6ubuntu2

=== debian/changelog ===
ubuntu-image (0.6ubuntu2) yakkety; urgency=medium

  * Add a versioned dependency on a fixed mtools.  LP: #1619718.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Sep 2016 00:03:19 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                e2fsprogs,
                gdisk,
                help2man,
-               mtools,
+               mtools (>= 4.0.18-2ubuntu0),
                python3-all,
                python3-attr,
                python3-coverage,

## ubuntu-image 0.6ubuntu3

=== debian/changelog ===
ubuntu-image (0.6ubuntu3) yakkety; urgency=medium

  * Make the mtools a versioned dep for real, not a versioned build-dep.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Sep 2016 00:45:37 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                e2fsprogs,
                gdisk,
                help2man,
-               mtools (>= 4.0.18-2ubuntu0),
+               mtools,
                python3-all,
                python3-attr,
                python3-coverage,
@@ -38,7 +38,7 @@
 Section: python
 Depends: dosfstools,
          e2fsprogs,
-         mtools,
+         mtools (>= 4.0.18-2ubuntu0),
          python3-attr,
          python3-pkg-resources,
          python3-setuptools,

## ubuntu-image 0.7ubuntu1

=== debian/changelog ===
ubuntu-image (0.7ubuntu1) yakkety; urgency=medium

  [ Steve Langasek ]
  * Don't build 4GB images, instead build images just as large as needed
    to hold the contents and let ubuntu-core resize them dynamically on
    first boot.  LP: #1619362.
  * Ensure cross-filesystem copies don't accidentally de-sparsify our
    image.
  * Update model.assertion test file to be compatible with snapd 2.14.2.
  * debian/control:
    - Declare Testsuite: autopkgtest-pkg-python in debian/control so that the
      package is visible to the test infrastructure.
    - Remove e2fsprogs from Build-Depends and Depends as per lintian.

  [ Barry Warsaw ]
  * Repair snapcraft.yaml for Python plugin changes.
  * Reorganize and flesh out command line options.
  * 100% test coverage. (LP: #1617445)
  * Use only the autopkgtest infrastructure for pull request testing.
    Don't use Travis-CI anymore.  (LP: #1625729)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 06 Oct 2016 18:46:06 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dosfstools,
-               e2fsprogs,
                gdisk,
                help2man,
                mtools,
@@ -20,9 +19,11 @@
                python3-voluptuous,
                python3-yaml,
                snapd (>= 2.0.11~ppa0),
+               grub-common,
                tox,
 Standards-Version: 3.9.8
 Homepage: http://launchpad.net/ubuntu-image
+Testsuite: autopkgtest-pkg-python
 
 Package: ubuntu-image
 Architecture: all
@@ -37,7 +38,6 @@
 Architecture: all
 Section: python
 Depends: dosfstools,
-         e2fsprogs,
          mtools (>= 4.0.18-2ubuntu0),
          python3-attr,
          python3-pkg-resources,

## ubuntu-image 0.10+16.04ubuntu2

=== debian/changelog ===
ubuntu-image (0.10+16.04ubuntu2) xenial; urgency=medium

  * 100% test coverage for Xenial. (LP:1637181)
  * SRU tracking bug LP: #1636560

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 27 Oct 2016 18:59:21 -0400

ubuntu-image (0.10+16.04ubuntu1) xenial; urgency=medium

  * Only write out nocloud-net metadata file (thus indicating a local seed
    and preventing a search elsewhere for user data) when the --cloud-init
    parameter is given.  (LP:1633232)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Oct 2016 09:51:24 -0400

ubuntu-image (0.9+16.04ubuntu1) xenial; urgency=medium

  * SRU tracking bug: LP: #1634218
  * Fix snap creation.  (LP:1631961)
  * Copy everything under <unpackdir>/image into <rootfs>/system-data
    except boot/.  (LP:1632134)
  * Optional --image-size command line option can be used to force the
    resulting disk image to a larger than calculated size.  (LP:1632085)
  * Fix MBR partition size rounding error due to internal bug and implicit
    sfdisk(8) behavior.  Give by Steve Langasek.  (LP:1634557)
  * Added autopkgtests to ensure all official models can be built, and
    their mountable partitions can be mounted.  (LP:1635337)
  * During image building, stash a copy of the gadget.yaml into the workdir.
  * d/control: gdisk is a run-time dependency; remove the duplicate snapd
    run-time dependency.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 10 Oct 2016 10:48:49 -0400

## ubuntu-image 0.10+16.10ubuntu1

=== debian/changelog ===
ubuntu-image (0.10+16.10ubuntu1) yakkety; urgency=medium

  * SRU tracking bug LP: #1636560
  * Only write out nocloud-net metadata file (thus indicating a local seed
    and preventing a search elsewhere for user data) when the --cloud-init
    parameter is given.  (LP:1633232)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Oct 2016 09:51:24 -0400

ubuntu-image (0.9+16.10ubuntu1) yakkety; urgency=medium

  * SRU tracking bug: LP: #1634218
  * Fix snap creation.  (LP:1631961)
  * Copy everything under <unpackdir>/image into <rootfs>/system-data
    except boot/.  (LP:1632134)
  * Optional --image-size command line option can be used to force the
    resulting disk image to a larger than calculated size.  (LP:1632085)
  * Fix MBR partition size rounding error due to internal bug and implicit
    sfdisk(8) behavior.  Give by Steve Langasek.  (LP:1634557)
  * Added autopkgtests to ensure all official models can be built, and
    their mountable partitions can be mounted.  (LP:1635337)
  * During image building, stash a copy of the gadget.yaml into the workdir.
  * d/control: gdisk is a run-time dependency; remove the duplicate snapd
    run-time dependency.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 10 Oct 2016 10:48:49 -0400

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export PYBUILD_VERBOSE=1
 #export DH_VERBOSE=1
 
+export UBUNTU_IMAGE_TESTS_NO_NETWORK=1
 export pkgversion=$(shell dpkg-parsechangelog --show-field version)
 
 
@@ -26,6 +27,12 @@
 		debian/ubuntu-image/usr/bin/ubuntu-image
 	dh_installman
 
+# Run the bare minimum of tests during build.  The majority of the tests will
+# run during the autopkgtests.
+override_dh_auto_test:
+	dh_auto_test -- --system=custom \
+		--test-args='{interpreter} -m nose2 -vv'
+
 override_dh_auto_clean:
 	rm -f debian/ubuntu-image.1
 	dh_auto_clean

## ubuntu-image 0.10+17.04ubuntu1

=== debian/changelog ===
ubuntu-image (0.10+17.04ubuntu1) zesty; urgency=medium

  * Only write out nocloud-net metadata file (thus indicating a local seed
    and preventing a search elsewhere for user data) when the --cloud-init
    parameter is given.  (LP: #1633232)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Oct 2016 09:51:24 -0400

ubuntu-image (0.9+17.04ubuntu1) zesty; urgency=medium

  * Fix snap creation.  (LP: #1631961)
  * Copy everything under <unpackdir>/image into <rootfs>/system-data
    except boot/.  (LP: #1632134)
  * Optional --image-size command line option can be used to force the
    resulting disk image to a larger than calculated size.  (LP: #1632085)
  * Fix MBR partition size rounding error due to internal bug and implicit
    sfdisk(8) behavior.  Give by Steve Langasek.  (LP: #1634557)
  * Added autopkgtests to ensure all official models can be built, and
    their mountable partitions can be mounted.  (LP: #1635337)
  * During image building, stash a copy of the gadget.yaml into the workdir.
  * d/control: gdisk is a run-time dependency; remove the duplicate snapd
    run-time dependency.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 10 Oct 2016 10:48:49 -0400

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 Package: ubuntu-image
 Architecture: all
-Depends: python3-ubuntu-image(= ${binary:Version}),
+Depends: python3-ubuntu-image (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
 Description: toolkit for building Ubuntu images.
@@ -38,6 +38,7 @@
 Architecture: all
 Section: python
 Depends: dosfstools,
+         gdisk,
          mtools (>= 4.0.18-2ubuntu0),
          python3-attr,
          python3-pkg-resources,
@@ -45,7 +46,6 @@
          python3-voluptuous,
          python3-yaml,
          snapd,
-         snapd (>= 2.0.11~ppa0),
          ${misc:Depends},
          ${python3:Depends},
 Description: toolkit for building Ubuntu images

## ubuntu-image 0.12+16.04ubuntu1

=== debian/changelog ===
ubuntu-image (0.12+16.04ubuntu1) xenial; urgency=medium

  * SRU tracking bug LP: #1646608
  * Revert previous change which sorted structure volumes by their
    offset.  Instead, we preserve gadget.yaml order for purposes of
    partition numbering, but we still provide implicit offsets when they
    are missing, and we still sanity check for partition overlap.
    (LP:1642999)
  * Provide human-readable error messages on gadget.yaml parser failures,
    not Python tracebacks (unless --debug is given).  (LP:1617421)
  * Change the way we invoke the autopkgtests.
    - Use a standard d/t/control file instead of d/t/control.autodep8.  We
      were only using the Python 3 import test anyway.
    - Add an import.sh stanza to reproduce the Python 3 import bits we
      lost by removing autodep8.
    - Turn the `tox -e coverage` Test-Command into a separate test
      script so that we can manipulate the $UBUNTU_IMAGE_CODENAME
      environment variable.  This is used by tox.ini to select an
      appropriate *-coverage.ini file since Xenial does not and cannot
      cover certain code paths.  Everything after Xenial gets named 'devel'.
    - Narrow the dependencies so that they aren't just importing all
      binary packages.  The effects may be similar, but EIBTI.
  * d/control: Drop Testsuite header; we're not doing autodep8 anymore.
  * Rename the environment variable $UBUNTUIMAGE_MOCK_SNAP to
    $UBUNTU_IMAGE_MOCK_SNAP for consistency.
  * Skip some tests which touch the actual store when running without
    network access (e.g. during package build time).
  * Move the __version__ calculation to the package's __init__.py
  * Parse all YAML integer-like values as strings, and then turn them into
    integers if necessary during post-processing.  (LP:1640523)
  * gadget.yaml files can include an optional `format` key which names the
    version number supported by the gadget.yaml.  Currently only format 0
    is supported, which is a legacy version (omitting the format is
    equivalent).  (LP:1638926)
  * d/control: Add run-time dependencies which are missing from snapd but
    are required for `snap prepare-image`.  (LP:1642427)
  * Structures with type='mbr' are deprecated.  Use structure role
    instead.  (LP:1638660)
  * mbr structures must start at offset 0.  (LP:1630769)
  * Fixed sanity checking of --image-size argument for out-of-offset-order
    structure definitions.  (LP:1643598)
  * Prevent wrapping blobs in disk partitions by using the `type: bare`
    structure key.  (LP:1645750)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 08 Nov 2016 17:31:21 -0500

ubuntu-image (0.11+16.04ubuntu1) xenial; urgency=medium

  * SRU tracking bug LP: #1639381
  * Sort the structures in a volume by their offset, even if the offset is
    defined implicitly (i.e. not present in the gadget.yaml).  Also, check
    for any structure conflicts and raise a ValueError in that case.
    (LP:1631423)
  * offset-write arguments will only accept 32 bit integers.  (LP:1617443)
  * Add a better manpage.  (LP:1638386)
  * Tracebacks in the `snap prepare-image` command are suppressed unless
    --debug is given.  However, the failure is still logged.  (LP:1621445)
  * Handle -but ignore- the gadget.yaml `defaults` section.  (LP:1632449)
  * Structure ids are disallowed on mbr volumes.  (LP:1632724)
  * The package can still be built if python3-debian is not available.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 04 Nov 2016 18:54:16 -0400

=== debian/tests/control ===
Tests: import.sh
Depends: python3-ubuntu-image

Test-Command: ubuntu-image --help
Depends: ubuntu-image

Test-Command: ubuntu-image --version
Depends: ubuntu-image

Test-Command: man ubuntu-image
Depends: ubuntu-image, man-db

# Something in the tox/pip/setuptools stack requires git.

Test-Command: tox -e py35
Depends: @builddeps@, git
Restrictions: needs-root

Test-Command: tox -e qa
Depends: @builddeps@, git
Restrictions: needs-root

Tests: coverage.sh
Depends: @builddeps@, git, lsb-release
Restrictions: needs-root

Tests: mount
Restrictions: needs-root, allow-stderr
Depends: @, kpartx

## ubuntu-image 0.12+17.04ubuntu1

=== debian/changelog ===
ubuntu-image (0.12+17.04ubuntu1) zesty; urgency=medium

  * Revert previous change which sorted structure volumes by their
    offset.  Instead, we preserve gadget.yaml order for purposes of
    partition numbering, but we still provide implicit offsets when they
    are missing, and we still sanity check for partition overlap.
    (LP: #1642999)
  * Provide human-readable error messages on gadget.yaml parser failures,
    not Python tracebacks (unless --debug is given).  (LP: #1617421)
  * Change the way we invoke the autopkgtests.
    - Use a standard d/t/control file instead of d/t/control.autodep8.  We
      were only using the Python 3 import test anyway.
    - Add an import.sh stanza to reproduce the Python 3 import bits we
      lost by removing autodep8.
    - Turn the `tox -e coverage` Test-Command into a separate test
      script so that we can manipulate the $UBUNTU_IMAGE_CODENAME
      environment variable.  This is used by tox.ini to select an
      appropriate *-coverage.ini file since Xenial does not and cannot
      cover certain code paths.  Everything after Xenial gets named 'devel'.
    - Narrow the dependencies so that they aren't just importing all
      binary packages.  The effects may be similar, but EIBTI.
  * d/control: Drop Testsuite header; we're not doing autodep8 anymore.
  * Rename the environment variable $UBUNTUIMAGE_MOCK_SNAP to
    $UBUNTU_IMAGE_MOCK_SNAP for consistency.
  * Skip some tests which touch the actual store when running without
    network access (e.g. during package build time).
  * Move the __version__ calculation to the package's __init__.py
  * Parse all YAML integer-like values as strings, and then turn them into
    integers if necessary during post-processing.  (LP: #1640523)
  * gadget.yaml files can include an optional `format` key which names the
    version number supported by the gadget.yaml.  Currently only format 0
    is supported, which is a legacy version (omitting the format is
    equivalent).  (LP: #1638926)
  * d/control: Add run-time dependencies which are missing from snapd but
    are required for `snap prepare-image`.  (LP: #1642427)
  * Structures with type='mbr' are deprecated.  Use structure role
    instead.  (LP: #1638660)
  * mbr structures must start at offset 0.  (LP: #1630769)
  * Fixed sanity checking of --image-size argument for out-of-offset-order
    structure definitions.  (LP: #1643598)
  * Prevent wrapping blobs in disk partitions by using the `type: bare`
    structure key.  (LP: #1645750)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 08 Nov 2016 17:31:21 -0500

ubuntu-image (0.11+17.04ubuntu1) zesty; urgency=medium

  * Sort the structures in a volume by their offset, even if the offset is
    defined implicitly (i.e. not present in the gadget.yaml).  Also, check
    for any structure conflicts and raise a ValueError in that case.
    (LP: #1631423)
  * offset-write arguments will only accept 32 bit integers.  (LP: #1617443)
  * Add a better manpage.  (LP: #1638386)
  * Tracebacks in the `snap prepare-image` command are suppressed unless
    --debug is given.  However, the failure is still logged.  (LP: #1621445)
  * Handle -but ignore- the gadget.yaml `defaults` section.  (LP: #1632449)
  * Structure ids are disallowed on mbr volumes.  (LP: #1632724)
  * The package can still be built if python3-debian is not available.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 04 Nov 2016 18:54:16 -0400

=== debian/tests/control ===
--- 
+++ 
@@ -14,15 +14,12 @@
 
 Test-Command: tox -e py35
 Depends: @builddeps@, git
-Restrictions: needs-root
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
-Restrictions: needs-root
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release
-Restrictions: needs-root
 
 Tests: mount
 Restrictions: needs-root, allow-stderr

## ubuntu-image 0.13+17.04ubuntu1

=== debian/changelog ===
ubuntu-image (0.13+17.04ubuntu1) zesty; urgency=medium

  * Refuse to write images to /tmp when running ubuntu-image as a snap,
    since the snap's /tmp is not accessible to the user.  (LP: #1646968)
  * When sparse copying the resulting disk image, don't try to preserve
    mode,ownership,timestamps.  Over remote file systems (e.g. afp, hgfs)
    this can fail.  Over local file systems, they'll be preserved anyway.
    (LP: #1637554)
  * d/tests/mount: Switch to the stable channel for snaps.
  * Make the test suite immune to the locale.  (LP: #1638570)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 09 Jan 2017 15:38:40 -0500

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,7 @@
 	   debian/ubuntu-image/usr/bin/
 
 override_dh_installman:
-	PYTHONPATH=$(CURDIR) help2man -n ubuntu-image -s 1 \
-		-o debian/ubuntu-image.1 \
-		--version-string=$(pkgversion) \
-		--no-discard-stderr --no-info \
-		debian/ubuntu-image/usr/bin/ubuntu-image
+	rst2man ubuntu-image.rst > debian/ubuntu-image.1
 	dh_installman
 
 # Run the bare minimum of tests during build.  The majority of the tests will

=== debian/tests/control ===
--- 
+++ 
@@ -3,20 +3,25 @@
 
 Test-Command: ubuntu-image --help
 Depends: ubuntu-image
+Features: test-name=help
 
 Test-Command: ubuntu-image --version
 Depends: ubuntu-image
+Features: test-name=version
 
 Test-Command: man ubuntu-image
 Depends: ubuntu-image, man-db
+Features: test-name=manpage
 
 # Something in the tox/pip/setuptools stack requires git.
 
 Test-Command: tox -e py35
 Depends: @builddeps@, git
+Features: test-name=unittests
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
+Features: test-name=qa
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release

## ubuntu-image 0.13+17.04ubuntu2

=== debian/changelog ===
ubuntu-image (0.13+17.04ubuntu2) zesty; urgency=medium

  * d/tests/mount: Fix a typo and handle a case where the root file system
    isn't found.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 10 Jan 2017 17:33:58 -0500

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
                dh-python,
                dosfstools,
                gdisk,
-               help2man,
+               grub-common,
                mtools,
                python3-all,
                python3-attr,
                python3-coverage,
                python3-debian,
+               python3-docutils,
                python3-flake8,
                python3-nose2,
                python3-pkg-resources,
@@ -19,11 +20,9 @@
                python3-voluptuous,
                python3-yaml,
                snapd (>= 2.0.11~ppa0),
-               grub-common,
                tox,
 Standards-Version: 3.9.8
 Homepage: http://launchpad.net/ubuntu-image
-Testsuite: autopkgtest-pkg-python
 
 Package: ubuntu-image
 Architecture: all
@@ -37,8 +36,10 @@
 Package: python3-ubuntu-image
 Architecture: all
 Section: python
-Depends: dosfstools,
+Depends: ca-certificates,
+         dosfstools,
          gdisk,
+         grub-common,
          mtools (>= 4.0.18-2ubuntu0),
          python3-attr,
          python3-pkg-resources,

## ubuntu-image 0.14+16.04ubuntu2

=== debian/changelog ===
ubuntu-image (0.14+16.04ubuntu2) xenial; urgency=medium

  * SRU tracking bug LP: #1655133
  * d/changelog: Clean up bug tags so as not to confuse SRU linkage.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 20 Jan 2017 09:59:20 -0500

ubuntu-image (0.14+16.04ubuntu1) xenial; urgency=medium

  * Add CI for Python 3.6.  (LP:1650402)
  * Fix the test suite for sparse files on ZFS.  (LP:1656371)
  * d/t/control: Add Restriction: isolation-machine for the mount test
    since devmapper is not namespaced and thus can interfere with other
    containers.  This will prevent the test from running in schroot and
    lxd/lxc backends, but will continue to run in qemu backends.
    (LP:1656391)

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 13 Jan 2017 18:20:39 -0500

ubuntu-image (0.13+16.04ubuntu2) xenial; urgency=medium

  * d/tests/mount: Fix a typo and handle a case where the root file system
    isn't found.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 10 Jan 2017 17:33:58 -0500

ubuntu-image (0.13+16.04ubuntu1) xenial; urgency=medium

  * Refuse to write images to /tmp when running ubuntu-image as a snap,
    since the snap's /tmp is not accessible to the user.  (LP:1646968)
  * When sparse copying the resulting disk image, don't try to preserve
    mode,ownership,timestamps.  Over remote file systems (e.g. afp, hgfs)
    this can fail.  Over local file systems, they'll be preserved anyway.
    (LP:1637554)
  * Use the `role` attribute of the gadget.yaml when creating images,
    especially for `role:mbr` and `role:system-data` (LP:1642914 and
    LP:1643086)
  * d/tests/mount: Switch to the stable channel for snaps.
  * Make the test suite immune to the locale.  (LP:1638570)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 09 Jan 2017 15:38:40 -0500

=== debian/tests/control ===
--- 
+++ 
@@ -15,17 +15,20 @@
 
 # Something in the tox/pip/setuptools stack requires git.
 
-Test-Command: tox -e py35
+Test-Command: tox -e py35-nocov,py36-nocov
 Depends: @builddeps@, git
+Restrictions: needs-root
 Features: test-name=unittests
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
+Restrictions: needs-root
 Features: test-name=qa
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release
+Restrictions: needs-root
 
 Tests: mount
-Restrictions: needs-root, allow-stderr
+Restrictions: needs-root, allow-stderr, isolation-machine
 Depends: @, kpartx

## ubuntu-image 0.14+16.10ubuntu2

=== debian/changelog ===
ubuntu-image (0.14+16.10ubuntu2) yakkety; urgency=medium

  * SRU tracking bug LP: #1655133
  * d/changelog: Clean up bug tags so as not to confuse SRU linkage.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 20 Jan 2017 09:57:13 -0500

ubuntu-image (0.14+16.10ubuntu1) yakkety; urgency=medium

  * Add CI for Python 3.6.  (LP:1650402)
  * Fix the test suite for sparse files on ZFS.  (LP:1656371)
  * d/t/control: Add Restriction: isolation-machine for the mount test
    since devmapper is not namespaced and thus can interfere with other
    containers.  This will prevent the test from running in schroot and
    lxd/lxc backends, but will continue to run in qemu backends.
    (LP:1656391)

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 13 Jan 2017 18:20:39 -0500

ubuntu-image (0.13+16.10ubuntu2) yakkety; urgency=medium

  * d/tests/mount: Fix a typo and handle a case where the root file system
    isn't found.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 10 Jan 2017 17:33:58 -0500

ubuntu-image (0.13+16.10ubuntu1) yakkety; urgency=medium

  * Refuse to write images to /tmp when running ubuntu-image as a snap,
    since the snap's /tmp is not accessible to the user.  (LP:1646968)
  * When sparse copying the resulting disk image, don't try to preserve
    mode,ownership,timestamps.  Over remote file systems (e.g. afp, hgfs)
    this can fail.  Over local file systems, they'll be preserved anyway.
    (LP:1637554)
  * Use the `role` attribute of the gadget.yaml when creating images,
    especially for `role:mbr` and `role:system-data` (LP:1642914 and
    LP:1643086)
  * d/tests/mount: Switch to the stable channel for snaps.
  * Make the test suite immune to the locale.  (LP:1638570)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 09 Jan 2017 15:38:40 -0500

ubuntu-image (0.12+16.10ubuntu1) yakkety; urgency=medium

  * SRU tracking bug LP: #1646608
  * Revert previous change which sorted structure volumes by their
    offset.  Instead, we preserve gadget.yaml order for purposes of
    partition numbering, but we still provide implicit offsets when they
    are missing, and we still sanity check for partition overlap.
    (LP:1642999)
  * Provide human-readable error messages on gadget.yaml parser failures,
    not Python tracebacks (unless --debug is given).  (LP:1617421)
  * Change the way we invoke the autopkgtests.
    - Use a standard d/t/control file instead of d/t/control.autodep8.  We
      were only using the Python 3 import test anyway.
    - Add an import.sh stanza to reproduce the Python 3 import bits we
      lost by removing autodep8.
    - Turn the `tox -e coverage` Test-Command into a separate test
      script so that we can manipulate the $UBUNTU_IMAGE_CODENAME
      environment variable.  This is used by tox.ini to select an
      appropriate *-coverage.ini file since Xenial does not and cannot
      cover certain code paths.  Everything after Xenial gets named 'devel'.
    - Narrow the dependencies so that they aren't just importing all
      binary packages.  The effects may be similar, but EIBTI.
  * d/control: Drop Testsuite header; we're not doing autodep8 anymore.
  * Rename the environment variable $UBUNTUIMAGE_MOCK_SNAP to
    $UBUNTU_IMAGE_MOCK_SNAP for consistency.
  * Skip some tests which touch the actual store when running without
    network access (e.g. during package build time).
  * Move the __version__ calculation to the package's __init__.py
  * Parse all YAML integer-like values as strings, and then turn them into
    integers if necessary during post-processing.  (LP:1640523)
  * gadget.yaml files can include an optional `format` key which names the
    version number supported by the gadget.yaml.  Currently only format 0
    is supported, which is a legacy version (omitting the format is
    equivalent).  (LP:1638926)
  * d/control: Add run-time dependencies which are missing from snapd but
    are required for `snap prepare-image`.  (LP:1642427)
  * Structures with type='mbr' are deprecated.  Use structure role
    instead.  (LP:1638660)
  * mbr structures must start at offset 0.  (LP:1630769)
  * Fixed sanity checking of --image-size argument for out-of-offset-order
    structure definitions.  (LP:1643598)
  * Prevent wrapping blobs in disk partitions by using the `type: bare`
    structure key.  (LP:1645750)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 08 Nov 2016 17:31:21 -0500

ubuntu-image (0.11+16.10ubuntu1) yakkety; urgency=medium

  * SRU tracking bug LP: #1639381
  * Sort the structures in a volume by their offset, even if the offset is
    defined implicitly (i.e. not present in the gadget.yaml).  Also, check
    for any structure conflicts and raise a ValueError in that case.
    (LP:1631423)
  * offset-write arguments will only accept 32 bit integers.  (LP:1617443)
  * Add a better manpage.  (LP:1638386)
  * Tracebacks in the `snap prepare-image` command are suppressed unless
    --debug is given.  However, the failure is still logged.  (LP:1621445)
  * Handle -but ignore- the gadget.yaml `defaults` section.  (LP:1632449)
  * Structure ids are disallowed on mbr volumes.  (LP:1632724)
  * The package can still be built if python3-debian is not available.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 04 Nov 2016 18:54:16 -0400

## ubuntu-image 0.14+17.04ubuntu1

=== debian/changelog ===
ubuntu-image (0.14+17.04ubuntu1) zesty; urgency=medium

  * Add CI for Python 3.6.  (LP: #1650402)
  * Fix the test suite for sparse files on ZFS.  (LP: #1656371)
  * d/t/control: Add Restriction: isolation-machine for the mount test
    since devmapper is not namespaced and thus can interfere with other
    containers.  This will prevent the test from running in schroot and
    lxd/lxc backends, but will continue to run in qemu backends.
    (LP: #1656391)

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 13 Jan 2017 18:20:39 -0500

=== debian/tests/control ===
--- 
+++ 
@@ -17,17 +17,14 @@
 
 Test-Command: tox -e py35-nocov,py36-nocov
 Depends: @builddeps@, git
-Restrictions: needs-root
 Features: test-name=unittests
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
-Restrictions: needs-root
 Features: test-name=qa
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release
-Restrictions: needs-root
 
 Tests: mount
 Restrictions: needs-root, allow-stderr, isolation-machine

## ubuntu-image 0.15+16.04ubuntu1

=== debian/changelog ===
ubuntu-image (0.15+16.04ubuntu1) xenial; urgency=medium

  * SRU tracking number LP: #1665014
  * ubuntu-image now supports gadget.yaml files with multiple volume
    specifications.  Each volume describes a different disk image.  For
    the multi-volume case, no implicit root file system structure is added
    at all; the root file system partition must be defined in the
    gadget.yaml.  -o/--output is ignored in the multi-volume case.
    (LP:1641727)
  * Add -O/--output-dir command line options.  Disk image files are
    written here using the volume name and a .img suffix.  Deprecate
    -o/--output.  -O and -o are mutually exclusive.
  * Handle structure parts with size or offset < 1MiB.  (LP:1630709)
  * Warn when the size or offset is not a multiple of the sector size.
    (LP:1663172 and LP:1621151)
  * Allow and ignore any string values in the ``defaults`` section.
    (LP:1661515)
  * Handle a couple more cases where ubuntu-image as a snap cannot read
    from /tmp (model assertions and extra snaps).  (LP:1663424)
  * Add a release script.  (LP:1655669)
  * Version numbers for the snap now say "+snap" instead of "+real".
    (LP:1664296)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 06 Feb 2017 18:36:02 -0500

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	   debian/ubuntu-image/usr/bin/
 
 override_dh_installman:
-	rst2man ubuntu-image.rst > debian/ubuntu-image.1
+	rst2man ubuntu-image.rst debian/ubuntu-image.1
 	dh_installman
 
 # Run the bare minimum of tests during build.  The majority of the tests will

=== debian/tests/control ===
--- 
+++ 
@@ -17,15 +17,22 @@
 
 Test-Command: tox -e py35-nocov,py36-nocov
 Depends: @builddeps@, git
+Restrictions: needs-root
 Features: test-name=unittests
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
+Restrictions: needs-root
 Features: test-name=qa
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release
+Restrictions: needs-root
 
 Tests: mount
 Restrictions: needs-root, allow-stderr, isolation-machine
 Depends: @, kpartx
+
+Tests: multivol
+Restrictions: needs-root, allow-stderr, isolation-machine
+Depends: @, kpartx

## ubuntu-image 0.15+17.04ubuntu1

=== debian/changelog ===
ubuntu-image (0.15+17.04ubuntu1) zesty; urgency=medium

  * ubuntu-image now supports gadget.yaml files with multiple volume
    specifications.  Each volume describes a different disk image.  For
    the multi-volume case, no implicit root file system structure is added
    at all; the root file system partition must be defined in the
    gadget.yaml.  -o/--output is ignored in the multi-volume case.
    (LP: #1641727)
  * Add -O/--output-dir command line options.  Disk image files are
    written here using the volume name and a .img suffix.  Deprecate
    -o/--output.  -O and -o are mutually exclusive.
  * Handle structure parts with size or offset < 1MiB.  (LP: #1630709)
  * Warn when the size or offset is not a multiple of the sector size.
    (LP: #1663172 and LP: #1621151)
  * Allow and ignore any string values in the ``defaults`` section.
    (LP: #1661515)
  * Handle a couple more cases where ubuntu-image as a snap cannot read
    from /tmp (model assertions and extra snaps).  (LP: #1663424)
  * Add a release script.  (LP: #1655669)
  * Version numbers for the snap now say "+snap" instead of "+real".
    (LP: #1664296)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 06 Feb 2017 18:36:02 -0500

=== debian/tests/control ===
--- 
+++ 
@@ -17,17 +17,14 @@
 
 Test-Command: tox -e py35-nocov,py36-nocov
 Depends: @builddeps@, git
-Restrictions: needs-root
 Features: test-name=unittests
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
-Restrictions: needs-root
 Features: test-name=qa
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release
-Restrictions: needs-root
 
 Tests: mount
 Restrictions: needs-root, allow-stderr, isolation-machine

## ubuntu-image 1.0+16.04ubuntu1

=== debian/changelog ===
ubuntu-image (1.0+16.04ubuntu1) xenial; urgency=medium

  * SRU tracking number LP: #1672755
  * Exit with a console message instead of crashing when the contents of a
    partition does not fit within the specified size.  (LP:1666580)
  * Don't install an unusable global flake8 extension.  (LP:1631156)
  * Fix the autopkgtests to use --output-dir instead of the obsolete
    --output command line switch.  (LP:1667140)
  * Added ``--image-file-list`` command line argument to record the paths
    of all the disk image files written.
  * Added an autopkgtest to prove that generated images can be
    successfully booted (on amd64 only).  (LP:1625732)
  * Add an autopkgtest for ensuring each PR has a changelog entry and a bug
    linked to it.  (LP:1655671)
  * Make ubuntu-image a classic confinement snap.  (LP:1638645)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 22 Feb 2017 11:30:01 -0500

=== debian/tests/control ===
--- 
+++ 
@@ -17,14 +17,17 @@
 
 Test-Command: tox -e py35-nocov,py36-nocov
 Depends: @builddeps@, git
+Restrictions: needs-root
 Features: test-name=unittests
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
+Restrictions: needs-root
 Features: test-name=qa
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release
+Restrictions: needs-root
 
 Tests: mount
 Restrictions: needs-root, allow-stderr, isolation-machine
@@ -33,3 +36,14 @@
 Tests: multivol
 Restrictions: needs-root, allow-stderr, isolation-machine
 Depends: @, kpartx
+
+Tests: boot
+Restrictions: needs-root, allow-stderr, isolation-machine
+Depends: @, qemu-system-x86
+
+Tests: haschangelog
+Depends: @, python3-github, python3-requests
+
+Tests: snap.sh
+Restrictions: needs-root, allow-stderr
+Depends: @, snapd, snapcraft

## ubuntu-image 1.0+16.10ubuntu1.1

=== debian/changelog ===
ubuntu-image (1.0+16.10ubuntu1.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: privilege escalation through wrong filesystem permissions
    on Ubuntu Core images created as non-root user
    - wrap mkfs.ext4 calls in fakeroot so that all resulting contents are
      owned by uid 0.
    - CVE-2017-10600

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Jun 2017 15:57:33 -0700

ubuntu-image (1.0+16.10ubuntu1) yakkety; urgency=medium

  * SRU tracking number LP: #1672755
  * Exit with a console message instead of crashing when the contents of a
    partition does not fit within the specified size.  (LP:1666580)
  * Don't install an unusable global flake8 extension.  (LP:1631156)
  * Fix the autopkgtests to use --output-dir instead of the obsolete
    --output command line switch.  (LP:1667140)
  * Added ``--image-file-list`` command line argument to record the paths
    of all the disk image files written.
  * Added an autopkgtest to prove that generated images can be
    successfully booted (on amd64 only).  (LP:1625732)
  * Add an autopkgtest for ensuring each PR has a changelog entry and a bug
    linked to it.  (LP:1655671)
  * Make ubuntu-image a classic confinement snap.  (LP:1638645)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 22 Feb 2017 11:30:01 -0500

ubuntu-image (0.15+16.10ubuntu1) yakkety; urgency=medium

  * SRU tracking number LP: #1665014
  * ubuntu-image now supports gadget.yaml files with multiple volume
    specifications.  Each volume describes a different disk image.  For
    the multi-volume case, no implicit root file system structure is added
    at all; the root file system partition must be defined in the
    gadget.yaml.  -o/--output is ignored in the multi-volume case.
    (LP:1641727)
  * Add -O/--output-dir command line options.  Disk image files are
    written here using the volume name and a .img suffix.  Deprecate
    -o/--output.  -O and -o are mutually exclusive.
  * Handle structure parts with size or offset < 1MiB.  (LP:1630709)
  * Warn when the size or offset is not a multiple of the sector size.
    (LP:1663172 and LP:1621151)
  * Allow and ignore any string values in the ``defaults`` section.
    (LP:1661515)
  * Handle a couple more cases where ubuntu-image as a snap cannot read
    from /tmp (model assertions and extra snaps).  (LP:1663424)
  * Add a release script.  (LP:1655669)
  * Version numbers for the snap now say "+snap" instead of "+real".
    (LP:1664296)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 06 Feb 2017 18:36:02 -0500

## ubuntu-image 1.0+17.04ubuntu1

=== debian/changelog ===
ubuntu-image (1.0+17.04ubuntu1) zesty; urgency=medium

  * Exit with a console message instead of crashing when the contents of a
    partition does not fit within the specified size.  (LP: #1666580)
  * Don't install an unusable global flake8 extension.  (LP: #1631156)
  * Fix the autopkgtests to use --output-dir instead of the obsolete
    --output command line switch.  (LP: #1667140)
  * Added ``--image-file-list`` command line argument to record the paths
    of all the disk image files written.
  * Added an autopkgtest to prove that generated images can be
    successfully booted (on amd64 only).  (LP: #1625732)
  * Add an autopkgtest for ensuring each PR has a changelog entry and a bug
    linked to it.  (LP: #1655671)
  * Make ubuntu-image a classic confinement snap.  (LP: #1638645)

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 22 Feb 2017 11:30:01 -0500

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                python3-docutils,
                python3-flake8,
                python3-nose2,
+               python3-parted,
                python3-pkg-resources,
                python3-setuptools,
                python3-voluptuous,
@@ -42,6 +43,7 @@
          grub-common,
          mtools (>= 4.0.18-2ubuntu0),
          python3-attr,
+         python3-parted,
          python3-pkg-resources,
          python3-setuptools,
          python3-voluptuous,

=== debian/tests/control ===
--- 
+++ 
@@ -17,17 +17,14 @@
 
 Test-Command: tox -e py35-nocov,py36-nocov
 Depends: @builddeps@, git
-Restrictions: needs-root
 Features: test-name=unittests
 
 Test-Command: tox -e qa
 Depends: @builddeps@, git
-Restrictions: needs-root
 Features: test-name=qa
 
 Tests: coverage.sh
 Depends: @builddeps@, git, lsb-release
-Restrictions: needs-root
 
 Tests: mount
 Restrictions: needs-root, allow-stderr, isolation-machine

## ubuntu-image 1.0+17.04ubuntu1.1

=== debian/changelog ===
ubuntu-image (1.0+17.04ubuntu1.1) zesty-security; urgency=medium

  * SECURITY UPDATE: privilege escalation through wrong filesystem permissions
    on Ubuntu Core images created as non-root user
    - wrap mkfs.ext4 calls in fakeroot so that all resulting contents are
      owned by uid 0.
    - CVE-2017-10600

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Jun 2017 15:51:39 -0700

## ubuntu-image 1.1+16.04ubuntu1

=== debian/changelog ===
ubuntu-image (1.1+16.04ubuntu1) xenial; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * SRU tracking number LP: #1702933
  * debian/control:
    - Delta for the xenial SRU: fakeroot is not a needed for xenial as we are
      not using mkfs.ext4 for rootfs population.
  * Fix snapcraft.yaml for classic snappage.  (LP:1673576)
  * Add a new step in the builder that generates .manifest files listing all
    snaps installed in the resulting image.  (LP:1680574)
  * Further fixes to snapcraft.yaml, making sure that we only have one
    ubuntu-image version installed in the snap.  (LP:1692901)
  * Move files around during snap build to have all needed libraries and python
    files in common accessible paths, install missing dependencies into the
    snap.  (LP:1694982, LP:1694993)

  [ Michael Vogt ]
  * Use fakeroot when running mkfs.ext4.  (LP:1702628)

  [ Steve Langasek ]
  * Add fakeroot to the snapcraft.yaml and as a test dep.  (LP:1702628)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 21 Apr 2017 19:35:00 +0200

## ubuntu-image 1.1+16.04ubuntu3

=== debian/changelog ===
ubuntu-image (1.1+16.04ubuntu3) xenial; urgency=medium

  * Only run the snap.sh test on github PRs as it doesn't make sense to run it
    as part of regular deb package migration.  (LP: #1704979)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 19 Jul 2017 15:31:06 +0200

## ubuntu-image 1.1+16.04ubuntu4

=== debian/changelog ===
ubuntu-image (1.1+16.04ubuntu4) xenial; urgency=medium

  * Drop part of the xenial delta, adding the fakeroot dependency as per master.
    Properly handling the lack of the dependency and still getting 100% code
    coverage on all series requires too much unnecessary work.  (LP: #1709029)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 08 Aug 2017 10:44:33 +0200
